%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name: jboss-jaxb-2.2-api
Version: 1.0.4
Release: %mkrel 2
Summary: Java Architecture for XML Binding 2.2
Group: Development/Java
License: CDDL or GPLv2 with exceptions
URL: http://www.jboss.org

# git clone git://github.com/jboss/jboss-jaxb-api_spec.git jboss-jaxb-2.2-api
# cd jboss-jaxb-2.2-api/ && git archive --format=tar --prefix=jboss-jaxb-2.2-api-1.0.4.Final/ jboss-jaxb-api_2.2_spec-1.0.4.Final | xz > jboss-jaxb-2.2-api-1.0.4.Final.tar.xz
Source0: %{name}-%{namedversion}.tar.xz

BuildArch: noarch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires: jpackage-utils
Requires: java


%description
Java Architecture for XML Binding Version 2.2 classes.


%package javadoc
Summary: Javadocs for %{name}
Group: Documentation
Requires: jpackage-utils


%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{namedversion}


%build
mvn-rpmbuild install javadoc:aggregate


%install

# Jar files:
install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 target/jboss-jaxb-api_2.2_spec-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Dependencies map:
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# Javadoc files:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE
%doc README


%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE
%doc README




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 541903
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.0.4-1.mga4
+ Revision: 496526
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 355024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0.2-1.mga2
+ Revision: 132760
- Clean spec file

  + gil <gil>
    - imported package jboss-jaxb-2.2-api

